Installing Juniper VPN on 64-bit openSUSE Tumbleweed

1 Jul

Juniper 8.0R5 includes support for 64-bit Linux systems. However, the process is a different on Tumbleweed and openSUSE 13.1 which I wrote about previously.

Juniper includes instructions via KB25230, however, their directions aren’t complete.

The following instructions will provide a functional Juniper VPN installation on openSUSE Tumbleweed:

Install prerequisites:

sudo zypper in -y libXi.so.6 libXrender1-32bit libXtst6-32bit net-tools-deprecated

Download 32-bit Oracle Java

Extract Java to a location of your choosing:

tar xzvf jre-8u45-linux-i586.tar.gz -C /home/ben/apps/java32

Update /usr/bin/java alternatives to use 32-bit

sudo update-alternatives –install /usr/bin/java java /home/ben/apps/java32/jre-latest/bin/java 100

Note: you must use Firefox as Chrome/Chromium on Linux has already deprecated NPAPI plugin support.

ben.kevan

I am ben kevan.. Well yeah. .that's about it.

Leave a Reply

Your email address will not be published. Required fields are marked *